Sync with portage [Fri Apr 25 00:09:08 MSK 2014].

mhiretskiy
root 10 years ago
parent 01237bc499
commit 0fc2024ad5

@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>patrick@gentoo.org</email>
</maintainer>
<maintainer>
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>

@ -1,2 +1,3 @@
DIST password-store-1.4.2.tar.xz 19248 SHA256 ac5261b176e2be60b44c5c785dc5770a3e0f459bc6dbc42136679d68d3986e04 SHA512 bc846a79417c54ab8352380e08673c3aa2f38b68eb57e957f6f3c02c938a65ea8e6b87c2144cc0a675c9a0a7f3bb859135599c4a75eb83e2f06a201caa14ca0f WHIRLPOOL 60ae449685c6bd241995c2685c044bfeaa77e8a861c1fcb7f7ffeec32be4b35f78b034c95ab1cfa4f84f26095a7b25f48dbe34fc2cc5df1817d775cd5b3aed77
DIST password-store-1.5.tar.xz 24848 SHA256 6d3f327b039bb64157662d3d11af5ecebd3774b886ad6e52a684654d9914a8f3 SHA512 f031b36a80ee562d699c65b5ed63db23400c575fb726359fe02ec1d17b5b3e7194c55d3768fe006c0cd44d623355288967863db3196d2f31505105c4f2d3c670 WHIRLPOOL d2cb30a7d7bffeab445066619890a6d4390aa5148d15864f47ae87a2b5b6b32154f6288fa44132471b70a85cb2b0e2f073f11f5a2144198fb984d706060fccc1
DIST password-store-1.6.tar.xz 51048 SHA256 456b0b2fd0e8f05f9e6862747a7a411a39f4e12c706ea401aafc77251d328992 SHA512 6bc57122da6821b51e90b900deb8f5cb5f0483a7911571f03685a44976ca053dc4b8a4a621f95d8fc9dc458578bdb2fc48b19481a92d8e0a3d7dccd90722e0a1 WHIRLPOOL d36087b49b3b730fa6c8309bc8ad283ee2e8f349b8c1cbada10c6e4b76ee13d06cd061ef547fce81eb8b404871aadc3bd31f5835b793b1e85f92fa10a1542da7

@ -0,0 +1,53 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/pass/pass-1.6.ebuild,v 1.1 2014/04/24 16:38:48 zx2c4 Exp $
EAPI=4
inherit bash-completion-r1
DESCRIPTION="Stores, retrieves, generates, and synchronizes passwords securely using gpg, pwgen, and git"
HOMEPAGE="http://zx2c4.com/projects/password-store/"
SRC_URI="http://git.zx2c4.com/password-store/snapshot/password-store-1.6.tar.xz"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86 ~x86-macos"
IUSE="+git X +bash-completion zsh-completion fish-completion dmenu elibc_Darwin"
RDEPEND="
app-crypt/gnupg
app-admin/pwgen
>=app-text/tree-1.7.0
git? ( dev-vcs/git )
X? ( x11-misc/xclip )
elibc_Darwin? ( app-misc/getopt )
bash-completion? ( app-shells/bash-completion )
zsh-completion? ( app-shells/zsh )
fish-completion? ( app-shells/fish )
dmenu? ( x11-misc/dmenu )
"
S="${WORKDIR}/password-store-${PV}"
src_prepare() {
use elibc_Darwin || return
# use coreutils'
sed -i -e 's/openssl base64/base64/g' src/platform/darwin.sh || die
# host getopt isn't cool, and we aren't brew (rip out brew reference)
sed -i -e '/^GETOPT=/s/=.*$/=getopt-long/' src/platform/darwin.sh || die
# make sure we can find "mount"
sed -i -e 's:mount -t:/sbin/mount -t:' src/platform/darwin.sh || die
}
src_compile() {
:;
}
src_install() {
use bash-completion && export FORCE_BASHCOMP=1
use zsh-completion && export FORCE_ZSHCOMP=1
use fish-completion && export FORCE_FISHCOMP=1
default
use dmenu && dobin contrib/dmenu/passmenu
}

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/pass/pass-9999.ebuild,v 1.10 2014/04/24 09:21:50 zx2c4 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/pass/pass-9999.ebuild,v 1.11 2014/04/24 16:38:47 zx2c4 Exp $
EAPI=4
@ -45,10 +45,9 @@ src_compile() {
}
src_install() {
local COMPS=( )
use bash-completion && COMPS+=( "FORCE_BASHCOMP=1" )
use zsh-completion && COMPS+=( "FORCE_ZSHCOMP=1" )
use fish-completion && COMPS+=( "FORCE_FISHCOMP=1" )
emake DESTDIR="${D}" "${COMPS[@]}" install
use bash-completion && export FORCE_BASHCOMP=1
use zsh-completion && export FORCE_ZSHCOMP=1
use fish-completion && export FORCE_FISHCOMP=1
default
use dmenu && dobin contrib/dmenu/passmenu
}

@ -1,2 +1,3 @@
DIST backintime-1.0.24.tar.gz 507183 SHA256 5d9bac6fd74dd2258786b3481af260beb0f544d0e3560a0db2c8c0a87973384d SHA512 57469409e101207dd0c90f47ac7a709f5c7faab2cd7c60ff014a431912483b87e677bb7d0d2e25609d318f2a7ceb539bac4cc52bf7284d987200d98f2be670a7 WHIRLPOOL 476c158744918510d26d627f9cb833149ef99af85d3d423de2a2e61bc995032131f86df194825876f81ecb756109b328118be741f92cc98f11f7340c1a1e10ca
DIST backintime-1.0.34.tar.gz 905704 SHA256 2e1846e32e0649d4c0562c5c3821373354591b1ed22116066f1013c7775ea9d6 SHA512 f9347ed6d872aceea67f61faa3669d5edaf0176a6b4b50fd760d58a0fa087ffe8050a92d573f5ccd3c552428b08ef796daad0ca199c98537db39d2ab822aa861 WHIRLPOOL 63293e3004f81ee44545b33bacf847d27e0d535a6020794d300845c3235169e011a86e8b9cfb9f628c6fae00e5ed7ad43b0c69ff82ab5df2befc66b9ee33fb62
DIST backintime-1.0.8_src.tar.gz 291473 SHA256 fb83736ae0671b0d63468a9d39a29334320d93df004911cc192b1989df97d931 SHA512 6678420824a509bc12251fdabee83c3ec6c2a1418c3e978d9985817ff8161f5992a7c35a2fc28812bde085d6f1d450283a7dd3f690323479ade699e8fb833977 WHIRLPOOL a6d0d76ba922584321977f677c0f2e9deb654aa907bfdadd190230e101b67c048585c7a729ab732d1f5b2a67f789f47c7e610c232ab72f7c37e72edb6ae69f15

@ -0,0 +1,98 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/backintime/backintime-1.0.34.ebuild,v 1.1 2014/04/24 10:11:40 xmw Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
inherit eutils python-single-r1
DESCRIPTION="A simple backup system inspired by TimeVault and FlyBack, with a GUI for GNOME and KDE4"
HOMEPAGE="http://backintime.le-web.org/"
SRC_URI="http://${PN}.le-web.org/download/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="kde gnome"
RDEPEND="${PYTHON_DEPEND}
dev-python/keyring[${PYTHON_USEDEP}]
dev-python/notify-python[${PYTHON_USEDEP}]
net-misc/rsync[xattr,acl]
kde? (
>=kde-base/kdelibs-4
kde-base/pykde4[${PYTHON_USEDEP}]
kde-base/kompare
kde-base/kdesu
)
gnome? (
gnome-base/libglade
dev-util/meld
gnome-base/gnome-session
dev-python/gnome-vfs-python
dev-python/libgnome-python
dev-python/pygobject:2[${PYTHON_USEDEP}]
dev-python/pygtk[${PYTHON_USEDEP}]
)"
DEPEND="${RDEPEND}"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
S=${WORKDIR}
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.0.24-dont-install-license.patch
#fix doc install location
sed -i "s:/doc/kde4/HTML/:/doc/HTML/:g" kde4/Makefile.template || die
sed -i "s:/doc/backintime:/doc/${PF}:g" common/Makefile.template || die
cp "${FILESDIR}"/backintime-1.0.4-kde4-root.desktop \
kde4/backintime-kde4-root.desktop || die
epatch "${FILESDIR}"/${PN}-1.0.6-wrapper.patch
sed -e "/ python /s:python:${PYTHON}:" \
-e "/^APP_PATH=/s:/usr:${EPREFIX}/usr:" \
-i common/backintime \
-i gnome/backintime-gnome \
-i kde4/backintime-kde4 || die
backintime_variants="common $(usex gnome gnome "") $(usex kde kde4 '')"
backintime_run() {
local variant
for variant in ${backintime_variants} ; do
einfo "$variant: run \"$@\""
pushd "${S}"/${variant} || die
"${@}" || die
popd
done
}
if [ -n ${LINGUAS+x} ] ; then
cd common/po || die
for po in *.po ; do
if ! has ${po/.po} ${LINGUAS} ; then
rm ${po} || die
fi
done
fi
}
src_configure() {
backintime_run econf
}
src_compile() {
backintime_run emake
}
src_install() {
backintime_run emake DESTDIR="${D}" install
}
pkg_postinst() {
python_optimize "${D}"
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/visual-basic-mode/visual-basic-mode-1.4.12.ebuild,v 1.1 2013/12/07 11:17:58 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emacs/visual-basic-mode/visual-basic-mode-1.4.12.ebuild,v 1.2 2014/04/24 09:32:37 nimiux Exp $
EAPI=5
@ -13,6 +13,6 @@ SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.el.xz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
SITEFILE="50${PN}-gentoo.el"

@ -1,8 +1,8 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/tree/tree-1.7.0.ebuild,v 1.1 2014/04/23 21:55:27 zx2c4 Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/tree/tree-1.7.0.ebuild,v 1.2 2014/04/24 18:01:01 mr_bones_ Exp $
EAPI=4
EAPI=5
inherit toolchain-funcs flag-o-matic bash-completion-r1
DESCRIPTION="Lists directories recursively, and produces an indented listing of files."
@ -18,9 +18,7 @@ RDEPEND="!=sci-biology/meme-4.8.1"
DEPEND=""
src_prepare() {
sed -i \
-e 's:LINUX:__linux__:' tree.c \
|| die "sed failed"
sed -i -e 's:LINUX:__linux__:' tree.c || die
mv doc/tree.1.fr doc/tree.fr.1
if use !elibc_glibc ; then
# 433972, also previously done only for elibc_uclibc

@ -2,11 +2,13 @@ DIST mysql-4.0.27.tar.gz 11152643 SHA256 c79f83bed7c1ea98e018b8829375b55c1de838d
DIST mysql-4.1.22.tar.gz 17761101 SHA256 6bd2436fd0f233bb1518e15975cb4e9fa4434acb53c3c3cd7d4648219abf58e9 SHA512 9de1c2b27cf428a10f67a6217fc2783b638beb6345e2127a4163ceb286073886d223de861c40be0ab36ea78ec5f33ccd5ee457d1e35e67b081d629118b68d390 WHIRLPOOL b40ca2e0d07fc0bd504e57b7eb005d36cf842bb668e93722c723bcc5a797dc9b456ee8971ea99bfc2b9119a2e19ee599f8441eb4601709eb4238196a27319257
DIST mysql-5.0.96.tar.gz 22686667 SHA256 43853814775158aa1650f483530a7dde153957579e3349e3ec780b89d741fc84 SHA512 2e3b4ac221c1c1c11618dc79067a7feff680380fcea435813287b02cb0dff45fb5a32a4393c53cf13165f6efc99dbf347a9388ad364cfdf2e392760a310aa5a9 WHIRLPOOL 3e167e4ff4c56095fbdee55b7e619c9b7ad2120eb72c9a58fe77a023ab6e7498c74e2053876e61687d7812f9ff7022303728ddda49732e7569035684263d2517
DIST mysql-5.1.70.tar.gz 23984241 SHA256 9e03a343cf1b72b07f9c9bf7be24ffc808aa5c1a9daa590aaf2bc6a7a31f60ed SHA512 5d667af9e819bca85ff4d471cbb2792f47129146822a14cc93abb3f80a6fc6453ef06fc3dece091979003906d76002c1e680b3516747d29f5282827ec87a00e3 WHIRLPOOL 58dedd3b72621b339525338db717c399f04293bee5525856f2a275473f9730b3eafffcc3c29425047e4378ca519cb4da217a269269b0b43ad38178ce1e46f21d
DIST mysql-5.1.73.tar.gz 24023347 SHA256 05ebe21305408b24407d14b77607a3e5ffa3c300e03f1359d3066f301989dcb5 SHA512 2e3651ebc1370dad7e01158cdd99133ed3f90c985114766b6282d58b743ae7bce16db797e82819fa5bbc2fa53d89811fd76b278c7459338288e7957634a8c3ff WHIRLPOOL f47c3fe1cd98b8ca2163646c760bd9763c65eab0591b31fe30a8c55c72c8b10d7b549b394493695cf98f50999364409ef8158661141277e6d99b011835aef942
DIST mysql-5.5.32.tar.gz 24589274 SHA256 babb19a1e58f6b285ff75e876f550a798d37fb72b5a548ffb411e8a4a51f6890 SHA512 78e9f0f47b3732e83e1261e8c021002288c0555b3aed7a51359511b038084eb9c7314a3960aa225eab46868fc4700f0f7a6301d1a0068c0f9ba038d41a5b7488 WHIRLPOOL fcf7291524fd8709eccdcef3deb32d132e9db0182aeb39c70b59f7086f49e09526d1bb055b3771915eb19271d7f2b86c0d0f65101dbd7a9d998fe95605cabdd3
DIST mysql-extras-20070105.tar.bz2 50005 SHA256 17697bf70acffd0eeefd976b5ef06dd36080273bf7e805b51a31d72f5f2c5172 SHA512 65e8fd1f9cc71083dbcfaffc331171e0d7deedbd784e416a4b629139f71cc102a84fa62c2d9e48310a18571ef7f06153911ee75c5d7bb6ba88807c287e7cbf34 WHIRLPOOL 3f858fbed6f57ffac863c29bef09a658e3d9f57cf4c6b5c62537973ae44f217344a8592ad311b14b1e7e8d475434b3c69339a8d2873c498ba712ff6f5e128cec
DIST mysql-extras-20090228-2228Z.tar.bz2 254048 SHA256 03a986a5c5ae57f1436553565239613e978ae11e12834fcb275ec6457b12b6fb SHA512 b347c0894d45cff2c10e26c12d7586c335811b607cd760b48e51743e74c55ace820d2d50fac2ce72543c14b9b4d15afce336bd956ea8a820df4a651f23e3b79f WHIRLPOOL 4d89a44791ec7e95baa3822bb62a3638c86d24bcfc777b9ff5a8d26020e7401159a3c03ebda9907fcbf02589b80726f2daa5bf2498d8e6e6e33540edf9b1d551
DIST mysql-extras-20120401-2131Z.tar.bz2 1835097 SHA256 95e531799ed267c566da8b0759da78d0351d6004c7c8a45018054e287a989495 SHA512 0625e1f06e04c7841256955950dd7766a5f03d4ade2aee3c13335f08acff374933ed1fd7ddea214eaaa3531d7373ef094734f5c00530555347f058f5ec4d9d36 WHIRLPOOL f2c6e9387b38b609d3bfea83c6983c456d30a9dcf95c256a44402d4c63fa22543d55d6afa9b8dbf4238dcadf32fac3daec5031d50c8a4acf7a074d04fbede213
DIST mysql-extras-20130602-1946Z.tar.bz2 1478373 SHA256 843465190319464fdb035f4ddcf8a84ad3161780e3a81c1269c8f498b1524aab SHA512 95fc28f84618e11eeb2de22c12796eca5f8eff7b69ccc44d329d8f81aba4b015c834bad965a909f4e1e90a7f6012db98092ca21f31388ff5ab88268c8c1b60f3 WHIRLPOOL c04b1554663934969ab6b7773c96a5bd2388971dbea1eef138620014ef1e023904b5df326ff3e36538920be7bc50a2962e8f7a33435e42c1b5bdf5787ed2eb3a
DIST mysql-extras-20130626-0127Z.tar.bz2 1476503 SHA256 a3c791b7b95fe170c4071feed11699146fc8f9de6a9f2ffa67214c2e50644b4f SHA512 4ee19cb5960ba24f2db16e7c5b647d1b7bb9fadbc73bbd8125bbac7e926c569a9a585a4d1d92b851ea6653d9c15eeb00f1592880f104520dc040e5af19943ac7 WHIRLPOOL 739f5762fa24b0feb40848ddb83f2ed95fb650933920b3d9e55c5e90f907d4ac74dfb00e4b9189cda8f9af4317478f3132daf789d7c91196827f645dd3e37d61
DIST mysql-extras-20140424-1043Z.tar.bz2 1493352 SHA256 75b8de752f11559e3900fd96c3ca6113bd083a69b08bd66b2c24bacfb9b8b88c SHA512 d1324efd88be8b9e7b6ef61cfaf497b51a02e0825a8cb240ee6869b0875f4f18170d9952567c995f73f9a57b98a91f6e91878bc9efe87f99e0b20053ce5a376a WHIRLPOOL 2982ca88af7926f7fbcf68e0f3f289c0b33e8c929de3db1679c4debf8fa1f74e809361e968ac94949dce405d4a4e494ebdf447e9208eb9cfc39c5677454ed77e
DIST pbxt-1.0.11-6-pre-ga.tar.gz 3156307 SHA256 71ff3d86e9e5691f3efe541bf31f55a7ec2a88af27df6ad853b65902e00e6d12 SHA512 fa238303f06e0a9adfb10bd5a2e1d2e4850d2c17a350af3874cbff099d6e47b7c555d750c584d06a3ca87c1eb1e9301a9619d8d9a4cffb7fd0169b2b3a63c80c WHIRLPOOL 05cdd39f6f5dafff2def0062a00a24eff6cf6d8754f622b133365cef47cd6b828df5500ac407359d0793a75dd239ec1e49a13d2400a01ddf8b4cef7466e86962
DIST percona-xtradb-1.0.6-10.tar.gz 1676716 SHA256 e3aa818f13cf669412e59ad194eae8eada7a857bf7a4260e4bb41cab4d7ae39c SHA512 72e4b656b22a0420e6f5935dc28060e5c50fbeb48c6d1ae430579d9ccef8042fdd4dde128cc977b903de6221f7021e8c87ea29fe6a8a8c74edb84bf54ab889f3 WHIRLPOOL a916879be315498da27c60992efa4d19e91305b81242925e161547f3fb97a820256e1d07863e9e007ef843af54cd087ce5ac47d5ed1b70862da6cd5a9d81eccf

@ -0,0 +1,265 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.73.ebuild,v 1.1 2014/04/24 13:31:00 jmbsvicetto Exp $
EAPI="4"
MY_EXTRAS_VER="20140424-1043Z"
# PBXT
PBXT_VERSION='1.0.11-6-pre-ga'
# XtraDB
PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
# Build type
BUILD="autotools"
inherit toolchain-funcs mysql-v2
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-solaris"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
# This is often broken still
EPATCH_EXCLUDE=''
# Most of these are in the eclass
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
>=sys-devel/libtool-2.2.10"
RDEPEND="${RDEPEND}"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
src_prepare() {
sed -i \
-e '/^noinst_PROGRAMS/s/basic-t//g' \
"${S}"/unittest/mytap/t/Makefile.am
mysql-v2_src_prepare
}
# Official test instructions:
# USE='berkdb -cluster embedded extraengine perl ssl community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mysql-X.X.XX.ebuild \
# digest clean package
src_test() {
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
emake check || die "make check failed"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
cd "${S}"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus_unit
local retstatus_ns
local retstatus_ps
local t
addpredict /this-dir-does-not-exist/t9.MYI
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# archive_gis really sucks a lot, but it's only relevant for the
# USE=extraengines case
case ${PV} in
5.0.42)
mysql-v2_disable_test "archive_gis" "Totally broken in 5.0.42"
;;
5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
[ "$(tc-endian)" == "big" ] && \
mysql-v2_disable_test \
"archive_gis" \
"Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
;;
esac
# This was a slight testcase breakage when the read_only security issue
# was fixed.
case ${PV} in
5.0.54|5.0.51*)
mysql-v2_disable_test \
"read_only" \
"Broken in 5.0.51-54, output in wrong order"
;;
esac
# Ditto to read_only
[ "${PV}" == "5.0.51a" ] && \
mysql-v2_disable_test \
"view" \
"Broken in 5.0.51, output in wrong order"
# x86-specific, OOM issue with some subselects on low memory servers
[ "${PV}" == "5.0.54" ] && \
[ "${ARCH/x86}" != "${ARCH}" ] && \
mysql-v2_disable_test \
"subselect" \
"Testcase needs tuning on x86 for oom condition"
# Broke with the YaSSL security issue that didn't affect Gentoo.
[ "${PV}" == "5.0.56" ] && \
for t in openssl_1 rpl_openssl rpl_ssl ssl \
ssl_8k_key ssl_compress ssl_connect ; do \
mysql-v2_disable_test \
"$t" \
"OpenSSL tests broken on 5.0.56"
done
# New test was broken in first time
# Upstream bug 41066
# http://bugs.mysql.com/bug.php?id=41066
[ "${PV}" == "5.0.72" ] && \
mysql-v2_disable_test \
"status2" \
"Broken in 5.0.72, new test is broken, upstream bug #41066"
# The entire 5.0 series has pre-generated SSL certificates, they have
# mostly expired now. ${S}/mysql-tests/std-data/*.pem
# The certs really SHOULD be generated for the tests, so that they are
# not expiring like this. We cannot do so ourselves as the tests look
# closely as the cert path data, and we do not have the CA key to regen
# ourselves. Alternatively, upstream should generate them with at least
# 50-year validity.
#
# Known expiry points:
# 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
# 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
# 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
#
# mysql-test/std_data/untrusted-cacert.pem is MEANT to be
# expired/invalid.
case ${PV} in
5.0.*|5.1.*|5.4.*|5.5.*)
for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
mysql-v2_disable_test \
"$t" \
"These OpenSSL tests break due to expired certificates"
done
;;
esac
# These are also failing in MySQL 5.1 for now, and are believed to be
# false positives:
#
# main.mysql_comment, main.mysql_upgrade, main.information_schema,
# funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test:
# segfaults at random under Portage only, suspect resource limits.
#
# main.not_partition:
# Failure reason unknown at this time, must resolve before package.mask
# removal FIXME
case ${PV} in
5.1.*|5.4.*|5.5.*)
for t in main.mysql_client_test main.mysql_comments \
main.mysql_upgrade \
main.information_schema \
main.not_partition funcs_1.is_columns_mysql \
funcs_1.is_tables_mysql funcs_1.is_triggers; do
mysql-v2_disable_test "$t" "False positives in Gentoo"
done
;;
esac
# New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
# These tests are picking up a 'connect-timeout' config from somewhere,
# which is not valid, and since it does not have 'loose-' in front of
# it, it's causing a failure
case ${PV} in
5.1.5*|5.4.*|5.5.*|6*)
for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
mysql-v2_disable_test "$t" \
"False positives in Gentoo: connect-timeout"
done
;;
esac
use profiling && use community \
|| mysql-v2_disable_test main.profiling \
"Profiling test needs profiling support"
if [ "${PN}" == "mariadb" ]; then
for t in \
parts.part_supported_sql_func_ndb \
parts.partition_auto_increment_ndb ; do
mysql-v2_disable_test $t "ndb not supported in mariadb"
done
fi
# This fail with XtraDB in place of normal InnoDB
# TODO: test if they are broken with the rest of the Percona patches
if xtradb_patch_available && use xtradb ; then
for t in main.innodb innodb.innodb_bug51378 \
main.information_schema_db main.mysqlshow \
main.innodb-autoinc main.innodb_bug21704 \
main.innodb_bug44369 main.innodb_bug46000 \
main.index_merge_innodb \
innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
innodb.innodb_bug21704 innodb.innodb_bug44369 \
innodb.innodb_bug46000 innodb.innodb_bug48024 \
innodb.innodb_bug49164 innodb.innodb_bug51920 \
innodb.innodb_bug54044 \
; do
mysql-v2_disable_test $t "tests broken in xtradb"
done
fi
if ! use extraengine ; then
# bug 332565
for t in main.range ; do
mysql-v2_disable_test $t "Test $t requires USE=extraengine"
done
# bug 401673
for t in federated.federated_plugin ; do
mysql-v2_disable_test $t "Test $t requires USE=extraengine (Need federated engine)"
done
fi
# create directories because mysqladmin might make out of order
mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
# We run the test protocols seperately
emake test-unit
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
retstatus_ns=$?
[[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
retstatus_ps=$?
[[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
# TODO:
# When upstream enables the pr and nr testsuites, we need those as well.
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
[[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/smdk-dltool/smdk-dltool-0.20-r3.ebuild,v 1.1 2012/05/22 02:23:46 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/smdk-dltool/smdk-dltool-0.20-r3.ebuild,v 1.2 2014/04/24 17:40:50 ulm Exp $
EAPI="4"
@ -11,10 +11,11 @@ HOMEPAGE="http://www.fluff.org/ben/smdk/tools/"
SRC_URI="http://www.fluff.org/ben/smdk/tools/downloads/smdk-tools-v${PV}.tar.gz"
# Email sent to author on 2012-01-18 querying about license
LICENSE="as-is"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror bindist"
RDEPEND="virtual/libusb:1"
DEPEND="${RDEPEND}"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/smdk-dltool/smdk-dltool-0.20-r4.ebuild,v 1.1 2013/08/05 18:00:31 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/smdk-dltool/smdk-dltool-0.20-r4.ebuild,v 1.2 2014/04/24 17:40:50 ulm Exp $
EAPI="4"
@ -11,10 +11,11 @@ HOMEPAGE="http://www.fluff.org/ben/smdk/tools/"
SRC_URI="http://www.fluff.org/ben/smdk/tools/downloads/smdk-tools-v${PV}.tar.gz"
# Email sent to author on 2012-01-18 querying about license
LICENSE="as-is"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror bindist"
RDEPEND="virtual/libusb:1"
DEPEND="${RDEPEND}"

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/erlang/erlang-17.0.ebuild,v 1.1 2014/04/21 12:35:11 djc Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/erlang/erlang-17.0.ebuild,v 1.2 2014/04/24 11:34:28 djc Exp $
EAPI=4
WX_GTK_VER="2.8"
@ -151,12 +151,6 @@ src_install() {
pkg_postinst() {
use emacs && elisp-site-regen
elog
elog "If you need a symlink to one of Erlang's binaries,"
elog "please open a bug on http://bugs.gentoo.org/"
elog
elog "Gentoo's versioning scheme differs from the author's, so please refer to this version as ${MY_PV}"
elog
}
pkg_postrm() {

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Audio-CD-disc-cover/Audio-CD-disc-cover-0.05-r1.ebuild,v 1.1 2013/08/25 06:24:11 idella4 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Audio-CD-disc-cover/Audio-CD-disc-cover-0.05-r1.ebuild,v 1.2 2014/04/24 17:59:47 zlogene Exp $
# This appears it should really be entitled Audio-CD
# There are * QA Notice: errors on building however the HOMEPAGE gives no source repo in which to file
# prob. not worth the trouble for this little script.
@ -17,7 +17,7 @@ SRC_URI="http://www.vanhemert.co.uk/files/${MY_P}.tar.gz"
IUSE=""
SLOT="0"
LICENSE="|| ( Artistic GPL-2 )"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="alpha amd64 ia64 ppc sparc x86"
DEPEND=">=dev-perl/URI-1.10
>=dev-perl/HTML-Parser-3.15

@ -1,24 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Audio-CD-disc-cover/Audio-CD-disc-cover-0.05.ebuild,v 1.23 2013/08/25 06:24:11 idella4 Exp $
inherit perl-module
MY_P=Audio-CD-${PV}
S=${WORKDIR}/${MY_P}
DESCRIPTION="Perl Module needed for app-cdr/disc-cover"
HOMEPAGE="http://www.vanhemert.co.uk/disc-cover.html"
SRC_URI="http://www.vanhemert.co.uk/files/${MY_P}.tar.gz"
IUSE=""
SLOT="0"
LICENSE="|| ( Artistic GPL-2 )"
KEYWORDS="alpha amd64 ia64 ppc sparc x86"
DEPEND=">=dev-perl/URI-1.10
>=dev-perl/HTML-Parser-3.15
>=virtual/perl-MIME-Base64-2.12
>=virtual/perl-Digest-MD5-2.12
>=virtual/perl-libnet-1.0703-r1
>=dev-perl/libwww-perl-5.50
>=media-libs/libcdaudio-0.99.6
dev-lang/perl"

@ -1,2 +1 @@
DIST Number-Format-1.52.tar.gz 16363 SHA256 0c465fc6eade7b8150dde58040c56759e5c3022c2b09c7540a0e273c9fd226f2 SHA512 8d77e4e552f78075ac94f3b4bb0a0734717d77822fc75d4359d14fc501b6d95427204d927a0fc85e57230893cffbd9f79b466465db9db17faa92f3c2c339b62a WHIRLPOOL 7607fde37431e191bc095505b19f4c1c03ee4dfc067724d84c5655ba7dbdfc5091960a78f409ae97057d13b6a6663c5b368a37d2288372140f6d70fbd3f1798d
DIST Number-Format-1.73.tar.gz 22742 SHA256 84a2b722ef21ab92bd09ee8de9ecf9969cd95a0655815e8c9b0720669986e46c SHA512 52af1a595d9a62c9aabd57407c1807e71c7f2bfc591a835f73428848162fc0ab5aee7e78a8269304d44fceeb2654b8db40686eed8c6ff83e821b905905c75047 WHIRLPOOL 83dbd189322c74fcb3920ebcbf7da9cdb9e7632716e7965f5525ea433e3afa92c6d6fa17e59e906025f65b3caf643a139a8e19fbc9b2d9c04b60fcd9dff34724

@ -1,18 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Number-Format/Number-Format-1.52.ebuild,v 1.5 2007/03/05 12:19:38 ticho Exp $
inherit perl-module
DESCRIPTION="Package for formatting numbers for display"
SRC_URI="mirror://cpan/authors/id/W/WR/WRW/${P}.tar.gz"
HOMEPAGE="http://www.cpan.org/modules/by-authors/id/W/WR/WRW/${P}.readme"
SLOT="0"
LICENSE="|| ( Artistic GPL-2 )"
KEYWORDS="amd64 ia64 ppc x86"
IUSE=""
SRC_TEST="do"
DEPEND="dev-lang/perl"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Number-Format/Number-Format-1.730.0.ebuild,v 1.2 2011/09/03 21:04:44 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Number-Format/Number-Format-1.730.0.ebuild,v 1.3 2014/04/24 17:20:01 zlogene Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Package for formatting numbers for display"
SLOT="0"
KEYWORDS="amd64 ~ia64 ppc x86"
KEYWORDS="amd64 ia64 ppc x86"
IUSE=""
SRC_TEST="do"

@ -0,0 +1,25 @@
# HG changeset patch
# User Yann Leboulanger <asterix@lagaule.org>
# Date 1396114108 -3600
# Node ID cb67945d04385d86f0dff21e89c994b12cf07dc4
# Parent 46e9c8c80bacac8260245d5d9752ba0c5bddcf89
always store certificate of server, even if there is no error
diff -r 46e9c8c80bac -r cb67945d0438 nbxmpp/tls_nb.py
--- a/nbxmpp/tls_nb.py Sat Mar 15 20:39:59 2014 +0100
+++ b/nbxmpp/tls_nb.py Sat Mar 29 18:28:28 2014 +0100
@@ -476,9 +476,10 @@
def _ssl_verify_callback(self, sslconn, cert, errnum, depth, ok):
# Exceptions can't propagate up through this callback, so print them here.
try:
- if not ok and depth == 0:
+ if depth == 0:
self._owner.ssl_certificate = cert
- self._owner.ssl_errnum = errnum
+ if not ok:
+ self._owner.ssl_errnum = errnum
return True
except:
log.error("Exception caught in _ssl_info_callback:", exc_info=True)

@ -0,0 +1,24 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-nbxmpp/python-nbxmpp-0.4-r1.ebuild,v 1.1 2014/04/24 14:18:08 jlec Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
inherit distutils-r1
TAG=4
DESCRIPTION="Python library to use Jabber/XMPP networks in a non-blocking way"
HOMEPAGE="http://python-nbxmpp.gajim.org/"
SRC_URI="http://python-nbxmpp.gajim.org/downloads/${TAG} -> ${P}.tar.gz"
SLOT="0"
LICENSE="BSD"
KEYWORDS="~amd64 ~arm ~hppa ~x86 ~amd64-linux ~x86-linux"
IUSE=""
S="${WORKDIR}"/nbxmpp-${PV}
PATCHES=( "${FILESDIR}"/${P}-store-certificate-backport.patch )

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/abstract/abstract-1.0.0-r2.ebuild,v 1.3 2013/12/24 12:44:57 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/abstract/abstract-1.0.0-r2.ebuild,v 1.4 2014/04/24 17:39:58 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/abstract/abstract-1.0.0-r3.ebuild,v 1.1 2014/03/12 11:07:14 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/abstract/abstract-1.0.0-r3.ebuild,v 1.2 2014/04/24 17:39:58 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 ruby21 jruby"
USE_RUBY="ruby19 ruby20 ruby21 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r1.ebuild,v 1.12 2014/01/01 08:23:09 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r1.ebuild,v 1.13 2014/04/24 17:34:08 mrueg Exp $
EAPI=2
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r2.ebuild,v 1.6 2014/03/28 03:34:56 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r2.ebuild,v 1.7 2014/04/24 17:34:08 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r3.ebuild,v 1.1 2014/03/11 01:45:45 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/allison/allison-2.0.3-r3.ebuild,v 1.2 2014/04/24 17:34:08 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 ruby21 jruby"
USE_RUBY="ruby19 ruby20 ruby21 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/attic/attic-0.5.3.ebuild,v 1.1 2013/12/25 07:07:28 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/attic/attic-0.5.3.ebuild,v 1.2 2014/04/24 17:36:36 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_TEST=""
@ -14,7 +14,7 @@ RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.rdoc"
RUBY_FAKEGEM_BINWRAP=""
inherit ruby-fakegem eutils
inherit ruby-fakegem
DESCRIPTION="A place for Ruby objects to hide instance variables"
HOMEPAGE="http://solutious.com/"
@ -28,16 +28,6 @@ IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/tryouts:2 )"
each_ruby_prepare() {
case ${RUBY} in
*ruby18)
# Remove tests failing on ruby18 due to string/symbol
# differences: https://github.com/delano/attic/issues/1
rm try/01_mixins_tryouts.rb try/30_nometaclass_tryouts.rb || die
;;
esac
}
each_ruby_test() {
${RUBY} -Ilib -S try || die "tests failed"
}

@ -1,20 +0,0 @@
diff --git a/try/30_nometaclass_tryouts.rb b/try/30_nometaclass_tryouts.rb
index 0a07843..94f3ea8 100644
--- a/try/30_nometaclass_tryouts.rb
+++ b/try/30_nometaclass_tryouts.rb
@@ -30,13 +30,13 @@ tryouts "Basics" do
:any.metaclass?
end
- dream [:@___attic_name]
+ dream ["@___attic_name"]
drill "A Symbol's attic vars appear in all_instance_variables" do
Symbol.extend Attic
Symbol.attic :name
a, b = :symbol1, :symbol2
a.name = :roger
- a.all_instance_variables
+ a.all_instance_variables.collect { |x| x.to_s }
end
dream []

@ -1,2 +1 @@
DIST chunky_png-1.2.9.gem 316416 SHA256 d0102bc377642ee12370eb06109d95022792c619ce66d64ee15e2dd58e066748 SHA512 288b1a911516d83dae69708ac00433a354ade80820ebef594cde20e2d793525ffb0a5ea3155787fb47d73f26ba5d6582883103e410d99388cf20c38a20bb3c06 WHIRLPOOL c897b94e2548597f9334c84e23cfebd09744c34266c83562394fc6dfd56e60c26cb437393bd8b247374400674eae0d61799a53648c4dd7cb2ae0a236ecb13e44
DIST chunky_png-1.3.0.gem 317952 SHA256 b0d94986b6accf3a8a05f9cdf800fd0dcd3a96569f6207e9eea499000a340436 SHA512 b9cc91c9b8525230179859eb307444358d41a9211d125cd5326071085ffa825885dc339dde811644fd5ea86ff934f93db53097e25465029b4524c005c3afe7c6 WHIRLPOOL 0dd6c1988145908f095748eaf513ffcf3736631f1771671763a20805b6bb29522ae23eb4ccebd6294fe9737c228138beda702ee182ab7cfac30656c8d5657870

@ -1,31 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/chunky_png/chunky_png-1.2.9.ebuild,v 1.1 2013/10/19 05:54:00 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_DOCDIR=""
RUBY_FAKEGEM_EXTRADOC="BENCHMARKS.rdoc README.rdoc"
RUBY_FAKEGEM_GEMSPEC="chunky_png.gemspec"
inherit ruby-fakegem
DESCRIPTION="Pure Ruby library that can read and write PNG images"
HOMEPAGE="http://wiki.github.com/wvanbergen/chunky_png"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
all_ruby_prepare() {
sed -i -e '/[bB]undler/s:^:#:' {spec,benchmarks}/*.rb || die
rm Gemfile* || die
}

@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/chunky_png/chunky_png-1.3.0.ebuild,v 1.1 2014/02/11 13:05:54 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/chunky_png/chunky_png-1.3.0.ebuild,v 1.2 2014/04/24 17:40:29 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"

@ -1,21 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.1.1-r1.ebuild,v 1.1 2013/08/23 21:53:14 zerochaos Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC="examples"
RUBY_FAKEGEM_RECIPE_TEST="prep"
inherit ruby-fakegem
DESCRIPTION="Strategies for cleaning databases"
HOMEPAGE="http://github.com/bmabey/database_cleaner"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.1.1-r2.ebuild,v 1.1 2013/09/01 12:10:46 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.1.1-r2.ebuild,v 1.2 2014/04/24 16:57:50 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_TASK_DOC="examples"

@ -1,21 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.1.1.ebuild,v 1.1 2013/08/20 03:58:12 zerochaos Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_RECIPE_TEST=""
inherit ruby-fakegem
DESCRIPTION="Strategies for cleaning databases"
HOMEPAGE="http://github.com/bmabey/database_cleaner"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.2.0.ebuild,v 1.1 2013/10/11 05:41:44 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/database_cleaner/database_cleaner-1.2.0.ebuild,v 1.2 2014/04/24 16:57:50 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_TASK_DOC="examples"

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/directory_watcher/directory_watcher-1.4.1.ebuild,v 1.1 2013/08/20 00:16:39 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/directory_watcher/directory_watcher-1.4.1.ebuild,v 1.2 2014/04/24 17:39:29 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_EXTRADOC="README.txt History.txt"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"

@ -1,5 +1,2 @@
DIST fakefs-0.4.2.gem 34304 SHA256 f8cec34ebfc8b756c2174884abe5e97659b0b2ad41395c82f4b0b56292445e34 SHA512 57634e38ee5e5e7b73569405f61dbc5d83036091020bd043cb1d0eb64dc012a3a7a63d6c4111e31c7b4256746c448b707500c51fd4d2512a04d5ad45faf7c7e0 WHIRLPOOL 3b737ea892ea5ea171d4fcb237eb85c57ff2bd627050304571109bb4b73369583abee3a5b0d9da82553fc9da37a1158bcd6714f92ee3c462c8e665afe949437b
DIST fakefs-0.4.3.gem 36352 SHA256 f306b068c9c5e527d48e163ffe340d2fb091eaef5b21919b179d7defff0b68ee SHA512 e275c7b5785de4e4772ec7eed0895b1e4cbae8a2db6df72324e8dc9a05332f4f532f3d2648cd060667ca8955db95cdb54991a686e48510c1192ef6d01a16f74c WHIRLPOOL fa7435f64bec2290e674e457c912810bde992531774f25fe3f45f8176800bcfa260b48cff0d2322d37ca2640f399c26b0eedf8f6366713a70baeecee97952d94
DIST fakefs-0.5.0.gem 38912 SHA256 e6d9bb1f81d3087d9d23ba72bd18b7811bea0bb6aaad5beb6445ce0dd745c661 SHA512 d8cc0f004474465f3101ec55bf0c567386c0eb30ce315ae734fe71fbb092727f863aeee0281199244338d2284722749fd8774a3f81d29983c40fcbc596da17da WHIRLPOOL 96fe4217886acd7e03090ae6c08820404767877e4ea873e225228b8cf78584c30a531b109ca92dab96e10d1d479d050f42937a6417c38ff56bbe5d62da56e7c0
DIST fakefs-0.5.1.gem 39424 SHA256 36c12e7858d6d76cfdf15356c9fdcba2902cc632aa4c6486c664c00a6296fb3b SHA512 4962d1d41380cfaf7d31c222dea1ffcd97992a41f276289c98f153c184636d8535a4e5ab8f1efb5a9befd7bb780b9824d6393992fad2454429fd956b23da02d1 WHIRLPOOL f233ed54f6349228cc925120115eaf832a79902413c1f3e72e682662465fb721bcf2b06a58b1a4589b6693e975632f5fdff2444d3632c2afff77001ba19186fd
DIST fakefs-0.5.2.gem 39424 SHA256 6489c27f526f72549d3d38604a8963f5b8dec9b1c5741f6f9280a54644dfd743 SHA512 128daf8b22be418d7c8aa9d825f294742c28d3d793ea610318aab00a2332579f0195a6cf62ae97815858b36a970ea3e5fb51e0d0f3e4d1ea5eddece3bfb04837 WHIRLPOOL 57138cc1fa375103f453d861b3eff37b89a4a67095c383591f84f8f1e97baaf730866b23efcb31426d177d0bfa3a393b870c843473337e6896e72b3ef46dc60a

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.4.2.ebuild,v 1.12 2013/12/26 14:57:28 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.4.2.ebuild,v 1.13 2014/04/24 16:55:54 mrueg Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
RUBY_FAKEGEM_RECIPE_TEST="none"

@ -1,52 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.4.3-r1.ebuild,v 1.1 2013/10/06 12:07:31 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="none"
# requires sdoc
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CONTRIBUTORS README.markdown"
inherit ruby-fakegem eutils
DESCRIPTION="A fake filesystem. Use it in your tests."
HOMEPAGE="http://github.com/defunkt/fakefs"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "
test? (
dev-ruby/rspec:2
>=dev-ruby/test-unit-2.5.1-r1
)"
all_ruby_prepare() {
# Remove bundler
rm Gemfile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Ignore failing tests: upstream is aware and doing the same
# on Travis.
rm test/fakefs_test.rb test/file/stat_test.rb || die
;;
*)
;;
esac
}
each_ruby_test() {
ruby-ng_rspec
ruby-ng_testrb-2 -Ilib:test test/**/*_test.rb
}

@ -1,52 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.5.0.ebuild,v 1.1 2014/01/13 02:54:17 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="none"
# requires sdoc
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CONTRIBUTORS README.markdown"
inherit ruby-fakegem eutils
DESCRIPTION="A fake filesystem. Use it in your tests."
HOMEPAGE="http://github.com/defunkt/fakefs"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "
test? (
dev-ruby/rspec:2
>=dev-ruby/test-unit-2.5.1-r1
)"
all_ruby_prepare() {
# Remove bundler
rm Gemfile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Ignore failing tests: upstream is aware and doing the same
# on Travis.
rm test/fakefs_test.rb test/file/stat_test.rb || die
;;
*)
;;
esac
}
each_ruby_test() {
ruby-ng_rspec
ruby-ng_testrb-2 -Ilib:test test/**/*_test.rb
}

@ -1,52 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.5.1.ebuild,v 1.1 2014/03/05 22:39:15 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="none"
# requires sdoc
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CONTRIBUTORS README.markdown"
inherit ruby-fakegem eutils
DESCRIPTION="A fake filesystem. Use it in your tests."
HOMEPAGE="http://github.com/defunkt/fakefs"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "
test? (
dev-ruby/rspec:2
>=dev-ruby/test-unit-2.5.1-r1
)"
all_ruby_prepare() {
# Remove bundler
rm Gemfile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Ignore failing tests: upstream is aware and doing the same
# on Travis.
rm test/fakefs_test.rb test/file/stat_test.rb || die
;;
*)
;;
esac
}
each_ruby_test() {
ruby-ng_rspec
ruby-ng_testrb-2 -Ilib:test test/**/*_test.rb
}

@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.5.2.ebuild,v 1.1 2014/03/24 06:22:58 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.5.2.ebuild,v 1.2 2014/04/24 16:55:54 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="none"

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gherkin/gherkin-2.11.6.ebuild,v 1.9 2014/02/01 05:01:29 hattya Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gherkin/gherkin-2.11.6.ebuild,v 1.10 2014/04/24 17:35:33 mrueg Exp $
EAPI=4
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gherkin/gherkin-2.12.0-r1.ebuild,v 1.2 2014/02/01 00:39:47 hattya Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gherkin/gherkin-2.12.0-r1.ebuild,v 1.3 2014/04/24 17:35:33 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""

@ -1,88 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gherkin/gherkin-2.12.0.ebuild,v 1.4 2014/02/01 00:39:47 hattya Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_DOCDIR="rdoc"
RUBY_FAKEGEM_EXTRADOC="History.md README.md"
inherit ruby-fakegem
DESCRIPTION="Fast Gherkin lexer and parser based on Ragel."
HOMEPAGE="https://github.com/cucumber/gherkin"
LICENSE="MIT"
SRC_URI="https://github.com/cucumber/gherkin/archive/v${PV}.tar.gz -> ${P}-git.tgz"
KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86"
SLOT="0"
IUSE="doc test"
DEPEND="${DEPEND} dev-util/ragel"
RDEPEND="${RDEPEND}"
ruby_add_bdepend "
dev-ruby/rake-compiler
test? (
>=dev-ruby/builder-2.1.2
>=dev-util/cucumber-1.1.3
>=dev-ruby/rspec-2.6.0
>=dev-ruby/term-ansicolor-1.0.5
)
doc? ( >=dev-ruby/yard-0.8.3 )"
ruby_add_rdepend ">=dev-ruby/multi_json-1.3"
all_ruby_prepare() {
# Remove Bundler-related things.
sed -i -e '/[Bb]undler/d' Rakefile spec/spec_helper.rb features/support/env.rb || die
rm Gemfile || die
# Don't use compile dependencies to avoid building again for specs.
sed -i -e '/:compile/d' Rakefile
# Avoid hardcoded optimization levels.
sed -ie -e 's/-O0//' tasks/compile.rake || die
# Remove feature that depends on direct access to the cucumber
# source. We could probably set this up by downloading the source
# and unpacking it, but skipping this now in the interest of time.
rm features/pretty_formatter.feature || die
# We need to remove these tasks during bootstrapping since it tries
# to load cucumber already but we can be sure it isn't installed
# yet. Also remove other rake tasks for which we may not yet have
# dependencies.
if ! use test ; then
rm tasks/cucumber.rake tasks/rspec.rake || die "Unable to remove rake tasks."
fi
# Avoid dependency on yard if USE=-doc
if ! use doc ; then
rm tasks/apidoc.rake || die
fi
# Avoid implicit dependency on git
sed -i -e 's/git ls-files/echo/' gherkin.gemspec || die
}
all_ruby_compile() {
all_fakegem_compile
if use doc ; then
yard || die
fi
}
each_ruby_compile() {
${RUBY} -I lib -S rake -rrake/clean -f tasks/compile.rake compile || die
}
each_ruby_test() {
${RUBY} -I lib -S rake spec || die "Specs failed"
CUCUMBER_HOME="${HOME}" RUBYLIB=lib ${RUBY} -S cucumber features || die "Cucumber features failed"
}

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gibbler/gibbler-0.9.0.ebuild,v 1.1 2013/03/09 07:03:44 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/gibbler/gibbler-0.9.0.ebuild,v 1.2 2014/04/24 17:33:26 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_TEST=""

@ -1,8 +1,8 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/hexoid/hexoid-0.2.2.ebuild,v 1.5 2014/04/05 23:36:50 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/hexoid/hexoid-0.2.2.ebuild,v 1.6 2014/04/24 16:41:26 mrueg Exp $
EAPI=2
EAPI=5
# None of the three actually has working tests, but they should all work
USE_RUBY="ruby19 jruby"

@ -1,3 +1 @@
DIST jwt-0.1.10.gem 7680 SHA256 6205ac4c97ae0fe371c1140b9e7157574f302c6c7f43c7bce8ab11aeed380aed SHA512 b93411f7083637c0a0db4b5c81d5d953fd4d084a91da4ff8123c2cc03c9454a91f486111a242cc18a1ea1dee1ec75f7eaffac99fbf55dcf70776910f2e08ca89 WHIRLPOOL d59ad2700cc3d3224fd2869b6d92c39d2fb05f8005b025b24461d52e81f95eeabc8c67ecd78b6dabd6c38ce028facc709a2fb10128875734b8cee65eadb1ac87
DIST jwt-0.1.11.gem 7680 SHA256 9178d3b7af11d54ffdec12ee7cf438946be1da72b28bc58464bad750d4b5fdbd SHA512 409273642bf3d04b7b3a3242c0d7d5aaffe2dee147e86e94ca3acebe45783590f6fee65fe792723ede3f4e3af337b3047e565969091211d5ec9f1ae82b888c5d WHIRLPOOL 663c7e34161f748cba38f85461b397f7210c6b69a25a878bf69b1bf796d45a48fd7d1fe6710e37b6c3512f28e9c76baa845aa975c93243a17de250db2547e661
DIST jwt-0.1.8.gem 7168 SHA256 b8efe8386c028561b07616753955c5d1a94c2861fbc3075257193bc9aff4f3a9 SHA512 bbc639d3e4a76ff9ae562c8ea0b4660323168aa8c911a44b8d9d972954dce79dd6c02c33b2096c689c4a9536a3a8a6211fcc4a3af0e69c56346c094c11867ddc WHIRLPOOL f66d7fe6767f5eb33df1d66c5a98c17b678a04cf699e4ba041dd1b09ac86d159711f08036634716ab5abce7d5581034da6b4ec84e560b9dbeb3817a0c211c52f

@ -1,23 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jwt/jwt-0.1.10.ebuild,v 1.1 2014/01/13 03:39:34 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="A Ruby implementation of JSON Web Token draft 06."
HOMEPAGE="https://github.com/progrium/ruby-jwt"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_bdepend "test? ( dev-ruby/echoe )"
ruby_add_rdepend ">=dev-ruby/multi_json-1.5.1"

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jwt/jwt-0.1.11.ebuild,v 1.1 2014/01/18 07:17:06 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jwt/jwt-0.1.11.ebuild,v 1.2 2014/04/24 17:39:12 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
@ -11,7 +11,7 @@ RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="A Ruby implementation of JSON Web Token draft 06."
DESCRIPTION="A Ruby implementation of JSON Web Token draft 06"
HOMEPAGE="https://github.com/progrium/ruby-jwt"
LICENSE="MIT"

@ -1,23 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jwt/jwt-0.1.8-r1.ebuild,v 1.1 2013/11/11 12:49:10 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="A Ruby implementation of JSON Web Token draft 06."
HOMEPAGE="https://github.com/progrium/ruby-jwt"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_bdepend "test? ( dev-ruby/echoe )"
ruby_add_rdepend ">=dev-ruby/multi_json-1.5.1"

@ -1,3 +1,2 @@
DIST libxml-ruby-2.4.0.gem 260608 SHA256 5dabf6d9859ede50a6ffb0230f7031741037c1d6ac38988e816a90b208c2467f SHA512 870d72b978cf6b09ee932dff424ca8735d106b6b237a0b0ab963f8b14829adb48e4303ceaa6e382b28bb7b510648467d33a53cb40aa56f3e350227856ba18b99 WHIRLPOOL e73dd0e8a30824516de02a279068dd4a26f5c991bf2558aaaf2deb64089b9bf0d7b08758fe52276335898440f21c755091877b2ce9654f147d566dd5b96ffba6
DIST libxml-ruby-2.6.0.gem 268800 SHA256 9be18419b128e1806723a0fafec4895555dd7bf08ceda16fdd23f4b7f542061e SHA512 a94c4b7543f4657f0def452d04904ef6b4773099b2d24f52de63f8cf6dc498a2fa849e4322d3be5eee1c8bb4ec1a3eeb908327ab08f29d9832bf5c29afa29ace WHIRLPOOL 75e7ac24df897c58fed0ebc0971daed2d63c4e5d641585e005d35ea5289cbfb4ba3cabf68a80d9e6c56930aa00ab9b64ecdff891dac51d63749a12681c4f1f17
DIST libxml-ruby-2.7.0.gem 269824 SHA256 f1f8a3538a064923d8f718748f8771bf088a154c2967f1b7a0cd82d6cd15a9d8 SHA512 e41383cb0e31257361c0da27623de8be478a5ae82a4f59233238a66ce098ce2a6dab4b639490d0753ccd3ae8c6cf0edc5989c071cd5fe4ea7b2b9a25fd271dfa WHIRLPOOL 0de7efe2b0f16d95f69e830bfd08153f0039ecbdc49b4fd5201b205b57e2202c0defb70469031adc838734ddfb6e47561b431e15103bb643aa28ab3031eb246d

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.4.0.ebuild,v 1.7 2013/04/23 15:05:38 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.4.0.ebuild,v 1.8 2014/04/24 16:36:47 mrueg Exp $
EAPI=2
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_NAME="libxml-ruby"

@ -1,73 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.6.0.ebuild,v 1.1 2013/05/09 07:18:00 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_NAME="libxml-ruby"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.rdoc HISTORY"
RUBY_FAKEGEM_TASK_TEST="none"
inherit ruby-fakegem
DESCRIPTION="Ruby libxml with a user friendly API, akin to REXML, but feature complete and significantly faster."
HOMEPAGE="https://github.com/xml4r/libxml-ruby"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="${RDEPEND} dev-libs/libxml2"
DEPEND="${DEPEND} dev-libs/libxml2"
ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
RUBY_PATCHES=( ${P}-fix-test.patch )
all_ruby_prepare() {
# Remove grancher tasks only needed for publishing the website
sed -i -e '/grancher/d' -e '/Grancher/,$d' Rakefile || die
# We don't have the hanna template available.
sed -i -e 's/hanna/rake/' Rakefile || die
# Remove rake-compiler bits since we don't use it
sed -i -e '/extensiontask/d' -e '/ExtensionTask/,/end/d' -e '/GemPackageTask/,/end/d' Rakefile || die
# replace ulimit -n output as it does not work with Ruby 1.9
sed -i -e 's:`ulimit -n`:"'`ulimit -n`'":' test/tc_parser.rb || die
# Avoid test failing due to different semantics in libxml 2.8.
# https://github.com/xml4r/libxml-ruby/issues/43
sed -i -e '/test_invalid_encoding/,/^ end/ s:^:#:' test/tc_reader.rb || die
# Ignore two test failures on ruby18 for now given that older
# versions no longer compile.
sed -i -e '/test_schema_type/,/end/ s:^:#:' \
-e '/test_schema_element/,/end/ s:^:#:' test/tc_schema.rb || die
# Remove the pregenerated extconf.h. It should not be included, but
# it also confuses our hardlink-based duplication scheme.
rm ext/libxml/extconf.h || die
}
each_ruby_configure() {
${RUBY} -C ext/libxml extconf.rb || die
}
each_ruby_compile() {
emake -C ext/libxml
cp ext/libxml/libxml_ruby.so lib/ || die
}
each_ruby_test() {
# The test suite needs to load its files in alphabetical order but
# this is not guaranteed. See bug 370501.
${RUBY} -Ilib -r ./test/test_helper.rb test/test_suite.rb || die
}

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.7.0-r1.ebuild,v 1.5 2013/12/24 16:57:06 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.7.0-r1.ebuild,v 1.6 2014/04/24 16:36:47 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_NAME="libxml-ruby"

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.7.0-r2.ebuild,v 1.1 2013/12/27 02:41:44 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.7.0-r2.ebuild,v 1.2 2014/04/24 16:36:47 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 ruby21"
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_NAME="libxml-ruby"

@ -1,71 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/libxml/libxml-2.7.0.ebuild,v 1.1 2013/08/08 15:43:48 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_NAME="libxml-ruby"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.rdoc HISTORY"
RUBY_FAKEGEM_TASK_TEST="none"
inherit ruby-fakegem
DESCRIPTION="Ruby libxml with a user friendly API, akin to REXML, but feature complete and significantly faster."
HOMEPAGE="https://github.com/xml4r/libxml-ruby"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="${RDEPEND} dev-libs/libxml2"
DEPEND="${DEPEND} dev-libs/libxml2"
ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
all_ruby_prepare() {
# Remove grancher tasks only needed for publishing the website
sed -i -e '/grancher/d' -e '/Grancher/,$d' Rakefile || die
# We don't have the hanna template available.
sed -i -e 's/hanna/rake/' Rakefile || die
# Remove rake-compiler bits since we don't use it
sed -i -e '/extensiontask/d' -e '/ExtensionTask/,/end/d' -e '/GemPackageTask/,/end/d' Rakefile || die
# replace ulimit -n output as it does not work with Ruby 1.9
sed -i -e 's:`ulimit -n`:"'`ulimit -n`'":' test/tc_parser.rb || die
# Avoid test failing due to different semantics in libxml 2.8.
# https://github.com/xml4r/libxml-ruby/issues/43
sed -i -e '/test_invalid_encoding/,/^ end/ s:^:#:' test/tc_reader.rb || die
# Ignore two test failures on ruby18 for now given that older
# versions no longer compile.
sed -i -e '/test_schema_type/,/end/ s:^:#:' \
-e '/test_schema_element/,/end/ s:^:#:' test/tc_schema.rb || die
# Remove the pregenerated extconf.h. It should not be included, but
# it also confuses our hardlink-based duplication scheme.
rm ext/libxml/extconf.h || die
}
each_ruby_configure() {
${RUBY} -C ext/libxml extconf.rb || die
}
each_ruby_compile() {
emake -C ext/libxml
cp ext/libxml/libxml_ruby.so lib/ || die
}
each_ruby_test() {
# The test suite needs to load its files in alphabetical order but
# this is not guaranteed. See bug 370501.
${RUBY} -Ilib -r ./test/test_helper.rb test/test_suite.rb || die
}

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/log4r/log4r-1.1.10-r1.ebuild,v 1.1 2014/01/29 01:54:00 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/log4r/log4r-1.1.10-r1.ebuild,v 1.2 2014/04/24 17:38:28 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/log4r/log4r-1.1.10.ebuild,v 1.15 2014/01/15 12:36:03 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/log4r/log4r-1.1.10.ebuild,v 1.16 2014/04/24 17:38:28 mrueg Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/mab/mab-0.0.3.ebuild,v 1.4 2013/12/28 07:08:17 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/mab/mab-0.0.3.ebuild,v 1.5 2014/04/24 16:51:29 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 ruby21 jruby"
USE_RUBY="ruby19 ruby20 ruby21 jruby"
RUBY_FAKEGEM_TASK_TEST="test"

@ -1,2 +1 @@
DIST net-dns-0.7.1.gem 57856 SHA256 90f2d9c2de1e15e722e5c8edce646a8473c54a7d46804ec1acc062e58ff976b9 SHA512 bcb34502fe941bcef6b4d4f376f1dbf031ea275996949e027e590483b4a9f7b8fea2dd8524afaa02959192b48cdd8cfb54f24320acc7395b569884c7b36b2d56 WHIRLPOOL 99918354f847ca0bedefc370d148a59c9439ed3f2b91a5429fbba863c291abbeb9f1c7bea7ad57dcba913bc5fa91ac67f389437e196d53dda919431800282a49
DIST net-dns-0.8.0.gem 50688 SHA256 c92df500b1c704bfbfed608f8b196c6fd50353c9b8eb8bd9bae0f906b7a1ca8a SHA512 734fdfaa487ac551acdc9c790560cd19e84886b12b07b932a94473cfa473cfd3d4fd91ea9679ee0082ae772fe6cef2d09a0b3511b842c0f0e9ba858771df726e WHIRLPOOL c71d9db3a207ac52414bfb7f14c9a5c1871ce17b6e3f9877e3418e5119ce95177acb5a439b9a8d187f346adab2307ac6bfa8edf183a64d80cbd23687ca093c9c

@ -1,48 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-dns/net-dns-0.7.1.ebuild,v 1.1 2012/10/15 06:40:23 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 jruby"
RUBY_FAKEGEM_TASK_DOC="yardoc"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc THANKS.rdoc"
inherit ruby-fakegem
DESCRIPTION="DNS resolver in pure Ruby"
HOMEPAGE="http://net-dns.rubyforge.org/"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
ruby_add_bdepend "doc? ( dev-ruby/yard )"
all_ruby_prepare() {
sed -i -e '/bundler/d' Rakefile || die
sed -i -e '/git ls-files/d' Rakefile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Avoid failing test due to a jruby bug
# https://github.com/jruby/jruby/issues/310
sed -i -e '67 s:^:#:' test/rr/aaaa_test.rb || die
;;
*)
;;
esac
}
all_ruby_install() {
all_fakegem_install
docinto examples
dodoc demo/* || die
}

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-dns/net-dns-0.8.0.ebuild,v 1.1 2013/05/09 06:58:03 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-dns/net-dns-0.8.0.ebuild,v 1.2 2014/04/24 16:54:40 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
RUBY_FAKEGEM_TASK_DOC="yardoc"
RUBY_FAKEGEM_DOCDIR="doc"

@ -1,4 +1,2 @@
DIST net-http-persistent-2.9.1.gem 31232 SHA256 aa7a50025222cbf5e845e17a2efe65f127f4d53daa4a43f313ad94db204629d3 SHA512 d6737308ee66abcfcf8b1a68c013bb3d5b044932940f38435e0ce25863d6eb9606d177ffce2be05c820d5891433ab9a6074f964aaa05c33a2f3dbb6d07593efa WHIRLPOOL 582505d86485a94015c3ba2e3e40a00c2bca91a0c39b20f9262898a81b267ed207227792d498ddc513ef180631f319cdc0595755cc41a9c2f72eef25b638013c
DIST net-http-persistent-2.9.3.gem 31232 SHA256 8ec9546d29ec7f49f5cba938622ef213a1d7049f9b469ccfee04322df27fc94d SHA512 a41a027c4b81ff500803234d3e5c3e2854c8450d0e24ca5a79109ffffd08e3d8b5e1a3dc8f27d076a5b0c57524f137805157edf4b3659d1940764d21e53ae124 WHIRLPOOL 3dcde8567c599171f1d7eaa8f1225d58864da01a2131a3317d569ea312f04f0bf464f531b85ab9b76882320d045e7b3eb346c03c96a4fc5b74fe3f2140271a83
DIST net-http-persistent-2.9.4.gem 31232 SHA256 24274d207ffe66222ef70c78a052c7ea6e66b4ff21e2e8a99e3335d095822ef9 SHA512 9251e8422c2f43e7ecd8bc287fa9fff682fac84ed95d143425b0e7e7678a06c9be01db56e6a956588d6c33ddccbd1eff45a6f399f43d452de8e3134e6c50b74e WHIRLPOOL bd3121d130d4b044d3ed9963202d048fd913ab8e8cdecbdf7c3a23396edc71fcc0bf6aa7a58899908d28838e2ebc92cb6951a38afcbaaa537e0ef3505d7f84b8
DIST net-http-persistent-2.9.gem 30720 SHA256 8bb9f79996977d437789581b3f018c2412e06738d2f1692502096a57f0b92b4d SHA512 dc8be8dd458f33291cef47afc7f20c42578b145e12c6d2da2dc14da56b18684d24e642e9b49f042fb11c14a1bd3a29450aac28e2fad08b83db8665e50051efa2 WHIRLPOOL 1fe5e2a53a98bc5e0eec0954c4cfa0ae43af4e5736774b27b61e60f1f62d167d65dea28defd7bfb25304b57c9b693834ca999314cc7b0d4f6b8140e9cfd7a9cb

@ -1,30 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.1.ebuild,v 1.1 2014/01/24 09:00:07 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
inherit ruby-fakegem
DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8."
HOMEPAGE="https://github.com/drbrain/net-http-persistent"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="doc test"
ruby_add_bdepend "doc? ( dev-ruby/hoe )
test? ( dev-ruby/hoe dev-ruby/minitest )"
all_ruby_prepare() {
# due to hoe
sed -i -e "/license/d" Rakefile || die
}

@ -1,30 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.3.ebuild,v 1.1 2014/02/10 23:34:18 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
inherit ruby-fakegem
DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8."
HOMEPAGE="https://github.com/drbrain/net-http-persistent"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="doc test"
ruby_add_bdepend "doc? ( dev-ruby/hoe )
test? ( dev-ruby/hoe dev-ruby/minitest )"
all_ruby_prepare() {
# due to hoe
sed -i -e "/license/d" Rakefile || die
}

@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.4.ebuild,v 1.1 2014/02/13 21:25:19 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.4.ebuild,v 1.2 2014/04/24 16:35:00 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.ebuild,v 1.3 2013/09/15 09:30:34 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/net-http-persistent/net-http-persistent-2.9.ebuild,v 1.4 2014/04/24 16:35:00 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"

@ -1,2 +1 @@
DIST ohai-6.16.0.tgz 373480 SHA256 fcf2a1fef0d635a12be9826ad74008bce9ba74e7cb87415ba62e62f9c67f36d1 SHA512 1c379e5acf457e1d699148d1e6a355349472de2fb1ecf28af51fef36d4b4b47e75972452032f288010c3d3a92c7f1805923fbbbee715f1a3d4a198aa87f953c3 WHIRLPOOL 91e2dbe86bea382ac981365ec3ea8bb80bc04e0aeec8d66ef1c532df0a0a870c78d1add80dcbe151d02d65a7c7dc9c48981752ad35f72ac853330534bb3ee51e
DIST ohai-6.18.0.tgz 378870 SHA256 27884e0fdd1efb07077c939030d43c361f64b94784cfb14dc5ad6cc2edf33e09 SHA512 270f84fb69474a1bc2fe5355d1343067af02e0a247fcae27df63e744450d231f517bfd7d576cee00fe6b85afd34bf7dc5ee3c938c2199a98494484d4b92381a5 WHIRLPOOL b8d870308c89b5897fcc803b31294e2bc3503e30063011f2d76ab46b43d8d080cc6ceb0b545e7a890e129f1809380a0abfaf186ea081dd4d3dbbd235c4081a70

@ -1,52 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ohai/ohai-6.16.0.ebuild,v 1.1 2013/07/19 07:01:54 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
inherit ruby-fakegem
DESCRIPTION="Ohai profiles your system and emits JSON"
HOMEPAGE="http://wiki.opscode.com/display/chef/Ohai"
SRC_URI="https://github.com/opscode/${PN}/archive/${PV}.tar.gz -> ${P}.tgz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend "
dev-ruby/ipaddress
dev-ruby/yajl-ruby
dev-ruby/mixlib-cli
dev-ruby/mixlib-config
dev-ruby/mixlib-log
dev-ruby/mixlib-shellout
>=dev-ruby/systemu-2.2.0"
all_ruby_prepare() {
rm Gemfile .rspec || die
# Be more lenient to work with versions of systemu that we have in
# the tree.
sed -i -e 's/~> 2.2.0/>= 2.2.0/' ohai.gemspec || die
# Remove the Darwin-specific tests that require additional
# dependencies.
rm -rf spec/unit/plugins/darwin || die
# Avoid the ruby plugin tests because these always execute the
# system ruby, rather than the current ruby.
rm -rf spec/unit/plugins/ruby_spec.rb || die
}
all_ruby_install() {
all_fakegem_install
doman docs/man/man1/ohai.1
}

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ohai/ohai-6.18.0.ebuild,v 1.1 2013/07/29 02:04:25 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ohai/ohai-6.18.0.ebuild,v 1.2 2014/04/24 17:37:19 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild,v 1.2 2014/04/05 22:00:22 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.11.ebuild,v 1.3 2014/04/24 16:39:32 mrueg Exp $
EAPI=5
@ -47,10 +47,6 @@ each_ruby_prepare() {
# avoid all tests so this is not a regression for us.
rm test/test_racc_command.rb || die
;;
*ruby18)
sed -i -e '/test_norule_y/,/end/ s:^:#:' \
-e '/test_unterm_y/,/end/ s:^:#:' test/test_racc_command.rb || die
;;
*)
${RUBY} -Cext/racc extconf.rb || die
;;

@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild,v 1.13 2014/04/05 22:00:22 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/racc/racc-1.4.9.ebuild,v 1.14 2014/04/24 16:39:32 mrueg Exp $
EAPI=4
@ -39,11 +39,6 @@ each_ruby_prepare() {
case ${RUBY} in
*jruby)
;;
*ruby18)
sed -i -e '/test_norule_y/,/end/ s:^:#:' \
-e '/test_unterm_y/,/end/ s:^:#:' test/test_racc_command.rb || die
${RUBY} -Cext/racc extconf.rb || die
;;
*)
${RUBY} -Cext/racc extconf.rb || die
;;

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rev/rev-0.3.2-r1.ebuild,v 1.1 2013/11/11 12:28:00 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rev/rev-0.3.2-r1.ebuild,v 1.2 2014/04/24 17:34:24 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_EXTRADOC="CHANGES README.textile"

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-elf/ruby-elf-1.0.8.ebuild,v 1.2 2013/06/23 11:47:42 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-elf/ruby-elf-1.0.8.ebuild,v 1.3 2014/04/24 17:42:32 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
GITHUB_URI="https://github.com/Flameeyes/${PN}"

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-elf/ruby-elf-9999.ebuild,v 1.1 2013/02/20 16:13:43 flameeyes Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-elf/ruby-elf-9999.ebuild,v 1.2 2014/04/24 17:42:32 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
GITHUB_URI="https://github.com/Flameeyes/${PN}"

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-hmac/ruby-hmac-0.4.0-r1.ebuild,v 1.1 2013/10/30 04:34:21 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-hmac/ruby-hmac-0.4.0-r1.ebuild,v 1.2 2014/04/24 17:45:37 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-oci8/ruby-oci8-2.1.3.ebuild,v 1.3 2013/08/31 09:15:22 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-oci8/ruby-oci8-2.1.3.ebuild,v 1.4 2014/04/24 17:45:22 mrueg Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
inherit ruby-ng

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-rc4/ruby-rc4-0.1.5-r1.ebuild,v 1.1 2013/10/29 15:32:04 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-rc4/ruby-rc4-0.1.5-r1.ebuild,v 1.2 2014/04/24 16:56:45 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-sdl/ruby-sdl-2.1.2.ebuild,v 1.3 2013/08/28 11:16:24 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-sdl/ruby-sdl-2.1.2.ebuild,v 1.4 2014/04/24 17:42:59 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
inherit eutils ruby-ng

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-shout/ruby-shout-2.2.1-r1.ebuild,v 1.1 2013/10/30 04:37:56 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-shout/ruby-shout-2.2.1-r1.ebuild,v 1.2 2014/04/24 16:54:01 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-shout/ruby-shout-2.2.1.ebuild,v 1.2 2013/07/07 10:22:32 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-shout/ruby-shout-2.2.1.ebuild,v 1.3 2014/04/24 16:54:01 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-termios/ruby-termios-0.9.6-r2.ebuild,v 1.3 2013/07/04 09:13:48 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-termios/ruby-termios-0.9.6-r2.ebuild,v 1.4 2014/04/24 17:45:05 mrueg Exp $
EAPI=4
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
inherit ruby-ng

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-termios/ruby-termios-1.0.0.ebuild,v 1.2 2013/11/13 19:03:06 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-termios/ruby-termios-1.0.0.ebuild,v 1.3 2014/04/24 17:45:05 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
inherit multilib ruby-ng

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-xslt/ruby-xslt-0.9.9-r2.ebuild,v 1.4 2014/03/03 23:58:20 pacho Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-xslt/ruby-xslt-0.9.9-r2.ebuild,v 1.5 2014/04/24 16:50:56 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""

@ -1,38 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r1.ebuild,v 1.2 2012/09/22 08:06:11 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="README"
inherit ruby-fakegem
DESCRIPTION="A ruby library for performing Yadis service discovery"
HOMEPAGE="http://yadis.rubyforge.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~ppc ~x86 ~amd64"
IUSE="test"
each_ruby_prepare() {
# Remove live tests that require content that is no longer available.
rm test/test_discovery.rb || die
sed -i -e '/test_discovery/d' test/runtests.rb || die
}
each_ruby_test() {
${RUBY} -I../lib:lib:test -Ctest runtests.rb || die
}
all_ruby_install() {
all_fakegem_install
insinto /usr/share/doc/${PF}
doins -r examples
}

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r2.ebuild,v 1.1 2013/10/30 04:23:04 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r2.ebuild,v 1.2 2014/04/24 16:52:06 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
USE_RUBY="ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby_gntp/ruby_gntp-0.3.4.ebuild,v 1.1 2013/11/26 03:20:26 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby_gntp/ruby_gntp-0.3.4.ebuild,v 1.2 2014/04/24 16:52:22 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"

@ -1,4 +1,3 @@
DIST ruby_parser-2.3.1.gem 80384 SHA256 d9a4daeb41da89db62c6ba4d31facedac7b181fa5c3ba20b4256bad8cb4fc434 SHA512 2451451cc1ba0b0c4c954d3e208b46c952dbbd7f901948084d192af96f04cc4eae8fdac92e035491daecb150a2e50a38a20af00c011f0bc68b1a962e42b95997 WHIRLPOOL 85b4c13fd3bef0ca1fcdbc91cd04692944d7f6efd23370590fe538b1cfbbbe1365d7bf24b7a783d11a8184143fd7fc2fd68eb404df160bef80fdf5e17f234280
DIST ruby_parser-3.1.3.gem 141824 SHA256 602b23bfde88e1cdcef113fd013ebf3735b06454372b3c9b5a5c14a5b161fa34 SHA512 e7e5649966a3d5e5f29b018b53d36dd8c33b9d5c14daa695995ed153a01cae90854e7bf6a2164b6b40f17e0e52391a9653f204b74ae9cc155b4c6c55a07c9b83 WHIRLPOOL b421a7696dafcdf7dfacd11bc933010190c3d6ce47b3ddbe8c9817c1f0557d0892d6bcd5fc575236eae43c13523e0163766ad6df31f3941874053a3f6296a84a
DIST ruby_parser-3.2.2.gem 198656 SHA256 117d814b406876a8b6a85a28e2745de524924edefced9233d597bae6fefd7fcb SHA512 267c18848bda160eddabe06c6a8e7d2334523a5ab36ba2cfe6e293e577efaaec552b8b2c2416eaca83762fdfc99920840e6d4be9a35071ccf69731765dbeee67 WHIRLPOOL 39d183a29452a886876986d08d7f370933fa7b8c633debfc237af75fc6ca0e27f904f1901a1f12f65c1f2a8b0a93100d3939966a01200f9e30af1858c76dc854
DIST ruby_parser-3.4.1.gem 201216 SHA256 b84fba8fea75d83354c9cf35609a3df7d74669e49f05b654577ef85a27d6b8ab SHA512 33352e5fbcaafef3882cf75a22acec3261c29aec6bf476cd0951f56d9de0a99af11102d46a9d4953ff8138df93adcafc5b84f0fbf02ad78283c2b075b071e965 WHIRLPOOL 3dbcd4a2d4a1c484e2a02a4367c1a1c2ca05a2e3bab34800b1d7be4035332e158cae0cfff03f2183bac4b637c571938fccca8c4832f3d600005cfb7f103faf4e

@ -1,45 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby_parser/ruby_parser-3.2.2-r1.ebuild,v 1.1 2013/10/29 23:15:25 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.txt History.txt"
inherit ruby-fakegem
DESCRIPTION="A ruby parser written in pure ruby."
HOMEPAGE="https://github.com/seattlerb/ruby_parser"
LICENSE="MIT"
SLOT="3"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend ">=dev-ruby/sexp_processor-4.1:4
!<dev-ruby/ruby_parser-2.3.1-r1"
ruby_add_bdepend "doc? ( >=dev-ruby/hoe-2.9.1 )"
ruby_add_bdepend "test? ( >=dev-ruby/minitest-4.3 )"
all_ruby_prepare() {
# Remove reference to perforce method that is not in a released
# version of hoe-seattlerb.
#sed -i -e '/perforce/d' Rakefile || die
sed -i -e '/Hoe.plugin :isolate/ s:^:#:' Rakefile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Disable tests failing on jruby related to //n regexp
# https://github.com/seattlerb/ruby_parser/issues/117
rm test/test_ruby_parser.rb || die
;;
esac
}

@ -1,9 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubytter/rubytter-1.5.1.ebuild,v 1.1 2013/04/18 06:00:18 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubytter/rubytter-1.5.1.ebuild,v 1.2 2014/04/24 16:44:23 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"

@ -1,10 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rye/rye-0.9.7.ebuild,v 1.1 2012/09/21 05:51:41 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rye/rye-0.9.7.ebuild,v 1.2 2014/04/24 16:48:42 mrueg Exp $
EAPI=4
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_TEST=""

@ -1,10 +1,10 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/samuel-0.3.3.ebuild,v 1.5 2013/11/17 21:08:38 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/samuel-0.3.3.ebuild,v 1.6 2014/04/24 16:46:21 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 jruby"
USE_RUBY="ruby19 jruby"
RUBY_FAKEGEM_TASK_DOC=""

@ -1,10 +1,10 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sanitize/sanitize-2.0.6-r1.ebuild,v 1.1 2014/03/26 06:47:19 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sanitize/sanitize-2.0.6-r1.ebuild,v 1.2 2014/04/24 16:46:32 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 ruby21"
USE_RUBY="ruby19 ruby20 ruby21"
RUBY_FAKEGEM_RECIPE_TEST="rake"
RUBY_FAKEGEM_RECIPE_DOC="none"

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sass-rails/sass-rails-3.2.5.ebuild,v 1.5 2014/03/11 01:16:17 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sass-rails/sass-rails-3.2.5.ebuild,v 1.6 2014/04/24 16:47:41 mrueg Exp $
EAPI=4
USE_RUBY="ruby18 ruby19"
EAPI=5
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.markdown"

@ -1,9 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sass-rails/sass-rails-3.2.6.ebuild,v 1.2 2014/03/11 01:16:17 mrueg Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sass-rails/sass-rails-3.2.6.ebuild,v 1.3 2014/04/24 16:47:41 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.markdown"

@ -1,5 +1,2 @@
DIST selenium-webdriver-2.37.0.gem 2914304 SHA256 564f87ffd70fba9d6059b99a73a72f5c1065f5070440dcd9117ed87032afa3ca SHA512 aeb2b70a4f9d0d80cc6755f0c7847c8d269a37e72b740745975f9db66ad86fccf4f439112b820ced2b0ab70031a43211527795556415ce5b60b404ca3087e5ce WHIRLPOOL 6ad357d01557aa7e66f47bcd717e3b4c2788cfb0f71f33df553bc912e3a4d2c5a8d044145e7cfe501bbf66cd883e0ba1c6d1514e195519520370cfea36916b5a
DIST selenium-webdriver-2.38.0.gem 2726400 SHA256 742d12a0e0efa7e587b44bb7ee4c22a17d1da3d6128029bef987284eb64aa490 SHA512 6158affa7d8ecbdd5319005183905305be114d1f60a05eb8ea5a3b2dfff26e059224f759584344ae9dcb95f776c7641246b3150b74a5bd16ec9b810dd6757f68 WHIRLPOOL 6db0828aa3170bcdc2a0711e89571dfe916f7fcaee6b7ec4c0921838fdf232a265fe5338b11c2d128f25dc9976dd01d2f5d14a3ae30cfc1bd46842624e791317
DIST selenium-webdriver-2.39.0.gem 2742272 SHA256 a65d44c3a7a22a8eb92866f93a12932240ae676c78e9ccfd5aeacdff7a385361 SHA512 36b6c3ac252991dab66ab9cd7ca3aa9413169ca342dbde58e8b874989b9022441498b34ba7578d429955b7757c3360a65f9f14252b34c18f903572d29f9d528d WHIRLPOOL ba06fb85efb119afe1eb659a6a2ecbb2b09da44bfd919a9192912886ed41119a157548819fcf1e8ce9dcfb7de00a182bba024e4ed35609b6fa07fe58b99d54ba
DIST selenium-webdriver-2.40.0.gem 2742784 SHA256 d70da50b3d047389a6c6568c390190d3468dae347694c4f883eabde54e08b7c3 SHA512 b1833b90bbf5c5266065d9dd5bc8cc283a9f965d534c79558aa3ac9aba48a882ac9751135989d2528a4e41489c0d5de88fa3eb6b1678e76c9c1b797ec8049fc6 WHIRLPOOL ef0552f9f3c11a434b4404ff2dafc5f4042119e96840b78acf0268b160d628477da47480519c39a0e085106419be4096cfac042a47e53c59e76d1e84b15cde7d
DIST selenium-webdriver-2.41.0.gem 2743296 SHA256 bd86dd671327017b33fb9ec7090d1a0f12eef7efb930f8bde91b5399dffe5273 SHA512 252ee9d397a4a194304972a10ecd2d21e41555dbb02c48285690ee4baf8923603fd83722616de4195fc3c1fa71f241d64f8dd6dedd69a6a0bbaa5fe9d31a38b7 WHIRLPOOL e3893c83002cdcb1fab491fdd1d18a769f44f4c88a84ffa7b9442f3fcd1739e836823ba4897b9a6b314f9479ef4e5c7331dd4ca1d84ce5846367e433b54dc87b

@ -1,40 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/selenium-webdriver/selenium-webdriver-2.37.0.ebuild,v 1.2 2013/11/23 08:08:42 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
# NOTE: this package contains precompiled code. It appears that all
# source code can be found at http://code.google.com/p/selenium/ but the
# repository is not organized in a way so that we can easily rebuild the
# suited shared object. We'll just try our luck with the precompiled
# objects for now.
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
QA_PREBUILT="*/x_ignore_nofocus.so"
inherit ruby-fakegem
DESCRIPTION="This gem provides Ruby bindings for WebDriver."
HOMEPAGE="http://gemcutter.org/gems/selenium-webdriver"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/childprocess-0.2.5
>=dev-ruby/multi_json-1.0.4
dev-ruby/rubyzip:1"
all_ruby_prepare() {
# Make websocket a development dependency since it is only needed
# for the safari driver which we don't support on Gentoo.
sed -i -e '/websocket/,/version_requirements/ s/runtime/development/' ../metadata || die
}

@ -1,40 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/selenium-webdriver/selenium-webdriver-2.38.0.ebuild,v 1.1 2013/12/06 06:06:46 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
# NOTE: this package contains precompiled code. It appears that all
# source code can be found at http://code.google.com/p/selenium/ but the
# repository is not organized in a way so that we can easily rebuild the
# suited shared object. We'll just try our luck with the precompiled
# objects for now.
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
QA_PREBUILT="*/x_ignore_nofocus.so"
inherit ruby-fakegem
DESCRIPTION="This gem provides Ruby bindings for WebDriver."
HOMEPAGE="http://gemcutter.org/gems/selenium-webdriver"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/childprocess-0.2.5
>=dev-ruby/multi_json-1.0.4
dev-ruby/rubyzip:1"
all_ruby_prepare() {
# Make websocket a development dependency since it is only needed
# for the safari driver which we don't support on Gentoo.
sed -i -e '/websocket/,/version_requirements/ s/runtime/development/' ../metadata || die
}

@ -1,40 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/selenium-webdriver/selenium-webdriver-2.39.0.ebuild,v 1.1 2014/01/14 09:06:08 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
# NOTE: this package contains precompiled code. It appears that all
# source code can be found at http://code.google.com/p/selenium/ but the
# repository is not organized in a way so that we can easily rebuild the
# suited shared object. We'll just try our luck with the precompiled
# objects for now.
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
QA_PREBUILT="*/x_ignore_nofocus.so"
inherit ruby-fakegem
DESCRIPTION="This gem provides Ruby bindings for WebDriver."
HOMEPAGE="http://gemcutter.org/gems/selenium-webdriver"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/childprocess-0.2.5
>=dev-ruby/multi_json-1.0.4
dev-ruby/rubyzip:1"
all_ruby_prepare() {
# Make websocket a development dependency since it is only needed
# for the safari driver which we don't support on Gentoo.
sed -i -e '/websocket/,/version_requirements/ s/runtime/development/' ../metadata || die
}

@ -1,11 +1,11 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/serialport/serialport-1.3.0.ebuild,v 1.3 2014/03/12 05:26:21 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/serialport/serialport-1.3.0.ebuild,v 1.4 2014/04/24 16:45:53 mrueg Exp $
EAPI=5
# jruby → uses native library
USE_RUBY="ruby18 ruby19 ruby20"
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save